##############
# RULES & LABELS for sound-color experiments
##############

# comb1 and comb2 describe two scenarios for "label1" and "label_plot1". 
# Note that label1 is incongruent and label2 congruent

rules = list(
  loudLum = list(
    comb1 = c('L25_a0_b0.jpg', 'loudLum_ampl20.mp3'),
    comb2 = c('L75_a0_b0.jpg', 'loudLum_ampl0.mp3'),
    label1 = 'lightLoud',  # incongruent
    label2 = 'darkLoud',   # congruent
    label_plot1 = 'Loud = light gray',
    label_plot2 = 'Loud = dark gray'
  ),
  loudA = list(
    comb1 = c('L50_a-40_b45.jpg', 'loudLum_ampl20.mp3'),
    comb2 = c('L50_a40_b45.jpg', 'loudLum_ampl0.mp3'),
    label1 = 'redLoud',  
    label2 = 'greenLoud',   
    label_plot1 = 'Loud = red',
    label_plot2 = 'Loud = green'
  ),
  loudB = list(
    comb1 = c('L70_a0_b-40.jpg', 'loudLum_ampl20.mp3'),
    comb2 = c('L70_a0_b40.jpg', 'loudLum_ampl0.mp3'),
    label1 = 'bronzeLoud',  
    label2 = 'blueLoud',  
    label_plot1 = 'Loud = yellow',
    label_plot2 = 'Loud = blue'
  ),
  loudSat = list(
    comb1 = c('L70_a-50_b50.jpg', 'loudLum_ampl20.mp3'),
    comb2 = c('L70_a-20_b20.jpg', 'loudLum_ampl0.mp3'),
    label1 = 'unsatLoud',  # incongruent
    label2 = 'satLoud',   # congruent
    label_plot1 = 'Loud = unsaturated',
    label_plot2 = 'Loud = saturated'
  ),
  pitchLum = list(
    comb1 = c('L25_a0_b0.jpg', 'pitchLum_high.mp3'),
    comb2 = c('L75_a0_b0.jpg', 'pitchLum_low.mp3'),
    label1 = 'darkHigh',  # incongruent
    label2 = 'darkLow',   # congruent
    label_plot1 = 'High pitch = dark gray',
    label_plot2 = 'High pitch = light gray'
  ),
  pitchA = list(
    comb1 = c('L50_a-40_b45.jpg', 'pitchLum_high.mp3'),
    comb2 = c('L50_a40_b45.jpg', 'pitchLum_low.mp3'),
    label1 = 'greenHigh',
    label2 = 'greenLow',
    label_plot1 = 'High pitch = green', 
    label_plot2 = 'High pitch = red'
  ),
  pitchB = list(
    comb1 = c('L70_a0_b40.jpg', 'pitchLum_high.mp3'),
    comb2 = c('L70_a0_b-40.jpg', 'pitchLum_low.mp3'),
    label1 = 'bronzeHigh',
    label2 = 'bronzeLow',
    label_plot1 = 'High pitch = yellow', 
    label_plot2 = 'High pitch = blue'
  ),
  pitchSat = list(
    comb1 = c('L70_a-20_b20.jpg', 'pitchLum_high.mp3'),
    comb2 = c('L70_a-50_b50.jpg', 'pitchLum_low.mp3'),
    label1 = 'satLow',  # incongruent
    label2 = 'satHigh',   # congruent
    label_plot1 = 'High pitch = unsaturated',
    label_plot2 = 'High pitch = saturated'
  ),
  F1A = list(
    comb1 = c('L50_a-40_b45.jpg', 'F1_neutralHigh.mp3'),
    comb2 = c('L50_a40_b45.jpg', 'F1_neutralLow.mp3'),
    label1 = 'greenHighF1',
    label2 = 'redHighF1',
    label_plot1 = 'High F1 = green',
    label_plot2 = 'High F1 = red'
  ),
  F1B = list(
    comb1 = c('L70_a0_b40.jpg', 'F1_neutralLow.mp3'),
    comb2 = c('L70_a0_b-40.jpg', 'F1_neutralHigh.mp3'),
    label1 = 'blueHighF1',
    label2 = 'bronzeHighF1',
    label_plot1 = 'High F1 = blue',
    label_plot2 = 'High F1 = yellow'
  ),
  F1Lum = list(
    comb1 = c('L75_a0_b0.jpg', 'F1_neutralLow.mp3'),
    comb2 = c('L25_a0_b0.jpg', 'F1_neutralHigh.mp3'),
    label1 = 'darkHighF1',
    label2 = 'lightHighF1',
    label_plot1 = 'High F1 = dark gray',
    label_plot2 = 'High F1 = light gray'
  ),
  F2A = list(
    comb1 = c('L60_a-40_b40.jpg', 'F2_neutralHigh.mp3'),
    comb2 = c('L60_a60_b40.jpg', 'F2_neutralLow.mp3'),
    label1 = 'greenHighF2',
    label2 = 'redHighF2',
    label_plot1 = 'High F2 = green',
    label_plot2 = 'High F2 = red'
  ),
  F2B = list(
    comb1 = c('L70_a0_b40.jpg', 'F2_neutralLow.mp3'),
    comb2 = c('L70_a0_b-40.jpg', 'F2_neutralHigh.mp3'),
    label1 = 'blueHighF2',
    label2 = 'bronzeHighF2',
    label_plot1 = 'High F1 = blue',
    label_plot2 = 'High F1 = yellow'
  ),
  F2Lum = list(
    comb1 = c('L75_a0_b0.jpg', 'F2_neutralLow.mp3'),
    comb2 = c('L25_a0_b0.jpg', 'F2_neutralHigh.mp3'),
    label1 = 'darkHighF2',
    label2 = 'lightHighF2',
    label_plot1 = 'High F2 = dark gray',
    label_plot2 = 'High F2 = light gray'
  ),
  specLum = list(
    comb1 = c('L25_a0_b0.jpg', 'specCen_high.mp3'),
    comb2 = c('L75_a0_b0.jpg', 'specCen_low.mp3'),
    label1 = 'darkHigh',
    label2 = 'darkLow',
    label_plot1 = 'High = dark gray', 
    label_plot2 = 'High = light gray'
  ),
  specA = list(
    comb1 = c('L50_a-40_b45.jpg', 'specCen_high.mp3'),
    comb2 = c('L50_a40_b45.jpg', 'specCen_low.mp3'),
    label1 = 'greenHigh',
    label2 = 'greenLow',
    label_plot1 = 'High = green', 
    label_plot2 = 'High = red'
  ),
  specB = list(
    comb1 = c('L70_a0_b40.jpg', 'specCen_high.mp3'),
    comb2 = c('L70_a0_b-40.jpg', 'specCen_low.mp3'),
    label1 = 'bronzeHigh',
    label2 = 'bronzeLow',
    label_plot1 = 'High = yellow', 
    label_plot2 = 'High = blue'
  ),
  specSat = list(
    comb1 = c('L70_a-20_b20.jpg', 'specCen_high.mp3'),
    comb2 = c('L70_a-50_b50.jpg', 'specCen_low.mp3'),
    label1 = 'satLow',
    label2 = 'satHigh',
    label_plot1 = 'High = unsaturated', 
    label_plot2 = 'High = saturated'
  ),
  trillLum = list(
    comb1 = c('L25_a0_b0.jpg', 'trill_FALSE.mp3'),
    comb2 = c('L75_a0_b0.jpg', 'trill_TRUE.mp3'),
    label1 = 'lightTrill',
    label2 = 'darkTrill',
    label_plot1 = 'Trill = light gray', 
    label_plot2 = 'Trill = dark gray'
  ),
  trillA = list(
    comb1 = c('L50_a-40_b45.jpg', 'trill_TRUE.mp3'),
    comb2 = c('L50_a40_b45.jpg', 'trill_FALSE.mp3'),
    label1 = 'greenTrill',
    label2 = 'redTrill',
    label_plot1 = 'Trill = green', 
    label_plot2 = 'Trill = red'
  ),
  trillB = list(
    comb1 = c('L70_a0_b40.jpg', 'trill_FALSE.mp3'),
    comb2 = c('L70_a0_b-40.jpg', 'trill_TRUE.mp3'),
    label1 = 'blueTrill',
    label2 = 'bronzeTrill',
    label_plot1 = 'Trill = blue', 
    label_plot2 = 'Trill = yellow'
  ),
  trillSat = list(
    comb1 = c('L70_a-20_b20.jpg', 'trill_FALSE.mp3'),
    comb2 = c('L70_a-50_b50.jpg', 'trill_TRUE.mp3'),
    label1 = 'satTrill',
    label2 = 'satNoTrill',
    label_plot1 = 'Trill = saturated', 
    label_plot2 = 'Trill = unsaturated'
  )
)